Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.maryanovsky.map.client.opengis.wms
Class BoundingBox

    java.lang.Object
      com.maryanovsky.map.client.opengis.wms.BoundingBox

    public final class BoundingBox

extends Object

Encapsulates a bounding box as defined by the Web Map Service Implementation Specification. Note that this class is used for LatLonBoundingBox as well, with the SRS always set to "EPSG:4326" and unspecified resolution values.

Author:
  Maryanovsky Alexander

Constructor Summary
`BoundingBox(Element element)` Creates a new `BoundingBox` from the specified `BoundingBox` or `LatLonBoundingBox` element that defines it.

Method Summary
`double` | `getMaxX()` Returns the maximum X coordinate.
`double` | `getMaxY()` Returns the maximum Y coordinate.
`double` | `getMinX()` Returns the minimum X coordinate.
`double` | `getMinY()` Returns the minimum Y coordinate.
`double` | `getResX()` Returns the resolution on the X axis; 0 if unspecified.
`double` | `getResY()` Returns the resolution on the Y axis; 0 if unspecified.
`String` | `getSrs()` Retuns the spatial reference system in which this box is defined.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BoundingBox

    public BoundingBox(Element element)
                throws ParseException

  Creates a new `BoundingBox` from the specified `BoundingBox` or `LatLonBoundingBox` element that defines it.

  Throws:
    `ParseException`

Method Detail

### getSrs

    public String getSrs()

  Retuns the spatial reference system in which this box is defined.

### getMinX

    public double getMinX()

  Returns the minimum X coordinate.

### getMinY

    public double getMinY()

  Returns the minimum Y coordinate.

### getMaxX

    public double getMaxX()

  Returns the maximum X coordinate.

### getMaxY

    public double getMaxY()

  Returns the maximum Y coordinate.

### getResX

    public double getResX()

  Returns the resolution on the X axis; 0 if unspecified.

### getResY

    public double getResY()

  Returns the resolution on the Y axis; 0 if unspecified.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD